#pragma once
#include "debug_sketch.h"

#ifdef CONFIG_ENABLE_TELEINFO
#include <LibTeleinfo.h>
int TeleinfoSetup();
int TeleinfoProcess(std::vector<struct mqttInfo> &batchInfo);
int TeleinfoProcess(float &iinst, float &papp, float &base);
#else
int TeleinfoSetup() {
  SKETCH_DEBUG_PRINTLN("Teleinfo is disabled at build time");
  return -1;
};

inline int TeleinfoProcess(std::vector<struct mqttInfo> &){
    return 0;
};
int TeleinfoProcess(float &, float &, float &){
    return 0;
};
#endif
